import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    user_info: {},
    user_list: {},
  },
  mutations: {
    // 设置用户信息
		SET_USERINFO(state, user_info) {
			state.user_info = user_info;
    },
    // 设置用户列表
		SET_USERLIST(state, user_list) {
			state.user_list = user_list;
		},
  },
  actions: {
    // 设置用户信息
		setUserInfo({
			commit
		}, arg) {
			commit('SET_USERINFO', arg[0]);
			localStorage.setItem("phonebook", JSON.stringify(arg[1].$store.state));
    },
    // 设置用户信息
		setUserList({
			commit
		}, arg) {
			commit('SET_USERLIST', arg[0]);
			localStorage.setItem("phonebook", JSON.stringify(arg[1].$store.state));
		},
  },
  modules: {
  }
})
